Page MenuHomePhabricator

AMDGPU: Remove v16i8 from register classes
ClosedPublic

Authored by arsenm on Dec 2 2018, 12:52 PM.

Details

Reviewers
nhaehnle
mareko

Diff Detail

Event Timeline

arsenm created this revision.Dec 2 2018, 12:52 PM

Can we also remove the setTruncStoreAction mention of v16i8 from SIISelLowering?

Can we also remove the setTruncStoreAction mention of v16i8 from SIISelLowering?

No, that's the in memory type which still matters. This also doesn't really matter since we stopped adding this with addRegisterClass a long time ago

nhaehnle accepted this revision.Jan 2 2019, 1:04 AM

LGTM

This revision is now accepted and ready to land.Jan 2 2019, 1:04 AM
arsenm closed this revision.Jan 7 2019, 5:35 AM

r350518